Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 623882 - SELinux está negando a /usr/lib64/chromium-browser/chrome-sandbox el acceso "sys_admin"
SELinux está negando a /usr/lib64/chromium-browser/chrome-sandbox el acceso "...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:5d514e5c528...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 23:50 EDT by Iván Jiménez
Modified: 2010-08-24 17:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-49.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 17:13:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iván Jiménez 2010-08-12 23:50:20 EDT
Resúmen:

SELinux está negando a /usr/lib64/chromium-browser/chrome-sandbox el acceso
"sys_admin"

Descripción Detallada:

SELinux negó el acceso requerido por chrome-sandbox. No se esperaba que este
acceso fuera requerido por chrome-sandbox, y puede ser indicio de un intento de
ataque. También es posible que la versión específica o la configuración de
la aplicación esté provocando esta necesidad de acceso adicional

Permitiendo Acceso:

Puede generar un módulo de política local para permitir este acceso. Vea FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Por favor, informe
este error.

Información Adicional:

Contexto Fuente               xguest_u:xguest_r:xguest_t:s0
Contexto Destino              xguest_u:xguest_r:xguest_t:s0
Objetos Destino               None [ capability ]
Fuente                        chrome-sandbox
Dirección de Fuente          /usr/lib64/chromium-browser/chrome-sandbox
Puerto                        <Desconocido>
Nombre de Equipo              (eliminado)
Paquetes RPM Fuentes          chromium-6.0.486.0-1.fc13
Paquetes RPM Destinos         
RPM de Políticas             selinux-policy-3.7.19-44.fc13
SELinux Activado              True
Tipo de Política             targeted
Modo Obediente                Enforcing
Nombre de Plugin              catchall
Nombre de Equipo              (eliminado)
Plataforma                    Linux (eliminado)
                              2.6.34.3-37.fc13.x86_64 #1 SMP Tue Aug 10 21:09:58
                              UTC 2010 x86_64 x86_64
Cantidad de Alertas           2
Visto por Primera Vez         jue 12 ago 2010 22:46:53 COT
Visto por Última Vez         jue 12 ago 2010 22:47:36 COT
ID Local                      9151f48e-4a2f-4c4f-958d-912b6cf63d2a
Números de Línea            

Mensajes de Auditoría Crudos 

node=(eliminado) type=AVC msg=audit(1281671256.245:18496): avc:  denied  { sys_admin } for  pid=2996 comm="chrome-sandbox" capability=21  scontext=xguest_u:xguest_r:xguest_t:s0 tcontext=xguest_u:xguest_r:xguest_t:s0 tclass=capability

node=(eliminado) type=SYSCALL msg=audit(1281671256.245:18496): arch=c000003e syscall=56 success=no exit=-1 a0=60020011 a1=0 a2=0 a3=0 items=0 ppid=2994 pid=2996 auid=502 uid=502 gid=502 euid=0 suid=0 fsuid=0 egid=502 sgid=502 fsgid=502 tty=pts0 ses=3 comm="chrome-sandbox" exe="/usr/lib64/chromium-browser/chrome-sandbox" subj=xguest_u:xguest_r:xguest_t:s0 key=(null)



Hash String generated from  catchall,chrome-sandbox,xguest_t,xguest_t,capability,sys_admin
audit2allow suggests:

#============= xguest_t ==============
allow xguest_t self:capability sys_admin;
Comment 1 Daniel Walsh 2010-08-19 07:43:47 EDT
Miroslav add

ptional_policy(`
	chrome_role(xguest_r, xguest_usertype)
')
Comment 2 Miroslav Grepl 2010-08-20 07:56:23 EDT
Added to selinux-policy-3.7.19-49.fc13.
Comment 3 Fedora Update System 2010-08-20 09:02:19 EDT
selinux-policy-3.7.19-49.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-49.fc13
Comment 4 Fedora Update System 2010-08-21 00:34:01 EDT
selinux-policy-3.7.19-49.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-49.fc13
Comment 5 Fedora Update System 2010-08-24 17:12:50 EDT
selinux-policy-3.7.19-49.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.